Bug 22696 - Simplify visibility logic in opac-ISBDdetail.pl
Summary: Simplify visibility logic in opac-ISBDdetail.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 22694 22700 22701
Blocks: 23247 23248 23225
  Show dependency treegraph
 
Reported: 2019-04-12 13:48 UTC by Tomás Cohen Arazi
Modified: 2019-08-15 17:20 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22696: Simplify visibility logic in opac-ISBDdetail.pl (5.23 KB, patch)
2019-04-12 18:24 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 22696: Simplify visibility logic in opac-ISBDdetail.pl (5.27 KB, patch)
2019-04-12 19:46 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 22696: (follow-up) Use new relationship for prefetching (1.02 KB, patch)
2019-04-19 14:30 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 22696: Prefetch items too (856 bytes, patch)
2019-04-22 13:23 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 22696: Simplify visibility logic in opac-ISBDdetail.pl (5.34 KB, patch)
2019-04-23 14:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22696: (follow-up) Use new relationship for prefetching (1.09 KB, patch)
2019-04-23 14:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22696: Prefetch items too (921 bytes, patch)
2019-04-23 14:54 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2019-04-12 13:48:43 UTC
Take advantage of bug 22694 to simplify the logic in it.
Comment 1 Tomás Cohen Arazi 2019-04-12 18:24:59 UTC
Created attachment 87932 [details] [review]
Bug 22696: Simplify visibility logic in opac-ISBDdetail.pl

This patch removes many DB queries and uses state-of-the-art Koha code
to accomplish the same things it did before.

To test:
- Apply this patch
- Open opac-ISBDdetail.pl for a known record
=> SUCCESS: No behaviour change.
- Sign off :-D
Comment 2 Bin Wen 2019-04-12 19:46:36 UTC
Created attachment 87938 [details] [review]
Bug 22696: Simplify visibility logic in opac-ISBDdetail.pl

This patch removes many DB queries and uses state-of-the-art Koha code
to accomplish the same things it did before.

To test:
- Apply this patch
- Open opac-ISBDdetail.pl for a known record
=> SUCCESS: No behaviour change.
- Sign off :-D

Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 3 Tomás Cohen Arazi 2019-04-19 14:30:08 UTC
Created attachment 88356 [details] [review]
Bug 22696: (follow-up) Use new relationship for prefetching

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Tomás Cohen Arazi 2019-04-22 13:23:34 UTC
Created attachment 88376 [details] [review]
Bug 22696: Prefetch items too

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Martin Renvoize 2019-04-23 14:54:46 UTC
Created attachment 88515 [details] [review]
Bug 22696: Simplify visibility logic in opac-ISBDdetail.pl

This patch removes many DB queries and uses state-of-the-art Koha code
to accomplish the same things it did before.

To test:
- Apply this patch
- Open opac-ISBDdetail.pl for a known record
=> SUCCESS: No behaviour change.
- Sign off :-D

Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2019-04-23 14:54:49 UTC
Created attachment 88516 [details] [review]
Bug 22696: (follow-up) Use new relationship for prefetching

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2019-04-23 14:54:52 UTC
Created attachment 88517 [details] [review]
Bug 22696: Prefetch items too

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2019-04-23 14:55:22 UTC
Nice simplification of the logic, no regressions found.

Passing QA
Comment 9 Nick Clemens 2019-04-24 11:44:13 UTC
Awesome work all!

Pushed to master for 19.05
Comment 10 Martin Renvoize 2019-04-26 14:58:53 UTC
Enhancement will not be backported to 18.11.x series.